Retrieve Account Tokens

Returns all tokens currently held by any given address on the Monad Mainnet, including the native Monad coin and ERC-20 tokens.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported on Monad Mainnet and Testnet.

🚧

The Monad Mainnet Indexing API is available to Pro tier users. The Monad Testnet Indexing API is accessible to Pro, Basic, and Lite tiers. Free tier members can also enjoy a trial period with 30 free calls. The same request URL is used for both mainnet and testnet. Network selection is handled automatically through the API key.

If you're interested, please register directly through here. Please note that the API Key can also be used for your RPC endpoint.

Parameter

  • address, string - a 42 character address with '0 x' as prefix. The wallet address to check for ERC-20 tokens.

Response

  • code, number - response status code, e.g., 0 for success.
  • reason, string - reason message if there's an error.
  • message, string - response message, e.g., OK.
  • result, object - result object containing token data.
    • data, array object - an array of token objects representing the wallet's token balances.
      • contractAddress, string - the address of the ERC-20 token contract.
      • name, string - the name of the token.
      • imageURL, string - URL to the token's icon image.
      • symbol, string - the symbol of the token.
      • price, string - the price of the token in USD (if available).
      • decimal, number - the number of decimal places supported by the token.
      • balance, string - the balance of the token within the wallet.
      • verified, boolean - whether the token is verified.
    • total, number - the total number of tokens in the wallet.
    • firstSeen, number - timestamp of when the wallet was first seen on the blockchain.
    • usdValue, number - total value of all tokens in USD.
Query Params
string
required
Defaults to 0x884F5C47fA1eCaF0C8957611f648Fb320551ab51
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json